# Venues

When generating a new [`client_id`](/authentication.md#generating-a-client_id-and-client_secret) this will then be associated to an organisation ID, of which can contain venues (serials).

{% hint style="warning" %}
When generating API keys, ensure that you've registered these within the correct organisation for the work you're looking to do.
{% endhint %}

## Get a list of venues

<mark style="color:blue;">`GET`</mark> `/v1/venues`

This will return you a list of venues that are available within the organisation.

#### Query Parameters

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| cursor | String |             |
| limit  |        |             |

{% tabs %}
{% tab title="200: OK " %}

```typescript
{
  "data": [
    {
      "id": string,
      "name": string | null,
      "organization_id": string,
      "branding_settings": {
        "headerImage": string,
        "headerColor": string,
        "interfaceColor": string,
        "background": string,
        "backgroundImage": string | null
      }
    }
  ],
  "links": {
    "first": string | null,
    "last": string | null,
    "next": string | null,
    "prev": string | null
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.stampede.ai/organisations-and-venues/venues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
